import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataGithubCollaboratorsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly affiliation?: string;
    /**
     *
     */
    readonly owner: string;
    /**
     *
     */
    readonly repository: string;
}
/**
 *
 */
export declare class DataGithubCollaboratorsCollaborator extends ComplexComputedList {
    /**
     *
     */
    get eventsUrl(): string;
    /**
     *
     */
    get followersUrl(): string;
    /**
     *
     */
    get followingUrl(): string;
    /**
     *
     */
    get gistsUrl(): string;
    /**
     *
     */
    get htmlUrl(): string;
    /**
     *
     */
    get id(): number;
    /**
     *
     */
    get login(): string;
    /**
     *
     */
    get organizationsUrl(): string;
    /**
     *
     */
    get permission(): string;
    /**
     *
     */
    get receivedEventsUrl(): string;
    /**
     *
     */
    get reposUrl(): string;
    /**
     *
     */
    get siteAdmin(): boolean;
    /**
     *
     */
    get starredUrl(): string;
    /**
     *
     */
    get subscriptionsUrl(): string;
    /**
     *
     */
    get type(): string;
    /**
     *
     */
    get url(): string;
}
/**
 *
 */
export declare class DataGithubCollaborators extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataGithubCollaboratorsConfig);
    private _affiliation?;
    /**
     *
     */
    get affiliation(): string;
    /**
     *
     */
    set affiliation(value: string);
    /**
     *
     */
    resetAffiliation(): void;
    /**
     *
     */
    get affiliationInput(): string | undefined;
    /**
     *
     */
    collaborator(index: string): DataGithubCollaboratorsCollaborator;
    /**
     *
     */
    get id(): string;
    private _owner;
    /**
     *
     */
    get owner(): string;
    /**
     *
     */
    set owner(value: string);
    /**
     *
     */
    get ownerInput(): string;
    private _repository;
    /**
     *
     */
    get repository(): string;
    /**
     *
     */
    set repository(value: string);
    /**
     *
     */
    get repositoryInput(): string;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
